Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class XMLNSDecl

    java.lang.Object
      |
      +--weblogic.apache.xalan.templates.XMLNSDecl

public class XMLNSDecl
extends java.lang.Object
implements java.io.Serializable

Represents an xmlns declaration

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XMLNSDecl(java.lang.String prefix, java.lang.String uri, boolean isExcluded)` Constructor XMLNSDecl

Method Summary
`boolean` | `getIsExcluded()` Tell if this declaration should be excluded from the result namespace.
`java.lang.String` | `getPrefix()` Return the prefix.
`java.lang.String` | `getURI()` Return the URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLNSDecl

    public XMLNSDecl(java.lang.String prefix,
                     java.lang.String uri,
                     boolean isExcluded)

  Constructor XMLNSDecl

  Parameters:
    `prefix` - non-null reference to prefix, using "" for default namespace.
    `uri` - non-null reference to namespace URI.
    `isExcluded` - true if this namespace declaration should normally be excluded.

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Return the prefix.

  Returns:
    The prefix that is associated with this URI, or null if the XMLNSDecl is declaring the default namespace.

### getURI

    public java.lang.String getURI()

  Return the URI.

  Returns:
    The URI that is associated with this declaration.

### getIsExcluded

    public boolean getIsExcluded()

  Tell if this declaration should be excluded from the result namespace.

  Returns:
    true if this namespace declaration should normally be excluded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference